# Get webhook subscription by ID Retrieves a specific webhook subscription by its unique identifier. Features: - Returns detailed subscription information For more information on setting up and managing webhooks, see the Event Notifications (Webhook) Guide. Endpoint: GET /api/v2/webhooks/subscriptions/{subscriptionId} Version: 2.4.0 Security: X-Api-Client-Id, X-Auth-Token ## Path parameters: - `subscriptionId` (string, required) The unique identifier of the webhook subscription to retrieve. Example: "webhook-sub-12345" ## Response 200 fields (application/json): - `id` (string) Unique identifier for the webhook subscription. Example: "webhook-sub-12345" - `event` (string) The type of event that triggers the webhook notification. Each event type corresponds to specific flight-related changes or operations. Enum: "FLIGHT_CREATE", "FLIGHT_CANCEL", "FLIGHT_TIME_UPDATE", "FLIGHT_AIRCRAFT_UPDATE", "FLIGHT_AIRPORT_UPDATE", "FLIGHT_POST_FLIGHT_STATUS", "FLIGHT_MOVEMENT_UPDATE", "FLIGHT_PAX_COUNT_UPDATE", "FLIGHT_PAX_LIST_UPDATE", "FLIGHT_PERMIT_ASSIGNMENT", "FLIGHT_PERMIT_UNASSIGNMENT", "FLIGHT_SLOT_PPR_ASSIGNMENT", "FLIGHT_SLOT_PPR_UNASSIGNMENT", "FLIGHT_FBO_ASSIGNMENT", "FLIGHT_FBO_UNASSIGNMENT", "FLIGHT_HOTEL_ASSIGNMENT", "FLIGHT_HOTEL_UNASSIGNMENT", "FLIGHT_CATERING_ASSIGNMENT", "FLIGHT_CATERING_UNASSIGNMENT", "FLIGHT_TRANSPORT_ASSIGNMENT", "FLIGHT_TRANSPORT_UNASSIGNMENT", "FLIGHT_CREW_ASSIGNMENT", "FLIGHT_CREW_DOCUMENT_UPDATE", "FLIGHT_CREW_ADDRESS_UPDATE" - `callbackUrl` (string) The URL where webhook notifications will be sent. Example: "https://example.com/webhooks" - `status` (string) Status of the webhook subscription indicating whether it is active and receiving notifications or inactive. Enum: "ACTIVE", "INACTIVE" - `createdAtDateTime` (string) Date and time when the webhook subscription was created. Format yyyy-MM-ddTHH:mm:ss.SSSZ. Example: "2024-01-15T10:30:00.000Z" - `updatedAtDateTime` (string) Date and time when the webhook subscription was last updated. Format yyyy-MM-ddTHH:mm:ss.SSSZ. Example: "2024-01-15T10:30:00.000Z" - `expirationDateTime` (string) Date and time when the webhook subscription expires. Format yyyy-MM-ddTHH:mm:ss.SSSZ. Example: "2024-02-15T10:30:00.000Z" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields